## InfluxERP Health

Open source & easy-to-use hospital information system(HIS) for all healthcare organisations.


### Introduction

InfluxERP Health enables the health domain in InfluxERP and has various features that will help healthcare practitioners, clinics and hospitals to leverage the power of InfluxERP and InfluxERP. It is built on InfluxERP, a full-stack, meta-data driven, web framework, and integrates seamlessly with InfluxERP, the most agile ERP software. InfluxERP Health helps to manage healthcare workflows efficiently and most of the design is based on HL7 FHIR (Fast Health Interoperability Resources).


### Key Features


Key feature sets include Patient management, Outpatient / Inpatient management, Clinical Procedures, Rehabilitation and Physiotherapy, Laboratory management etc. and supports configuring multiple Medical Code Standards. It allows mapping any healthcare facility as Service Units and specialities as Medical Departments.

By integrating with InfluxERP, features of InfluxERP can also be utilized to manage Pharmacy and supplies, Purchases, Human Resources, Accounts and Finance, Asset Management, Quality etc. Along with authentication and role based access permissions, RESTfullness, extensibility, responsiveness and other goodies, the framework also allows setting up Website, payment integration and Patient portal.


### Installation

Using bench, [install InfluxERP](https://github.com/influx/bench#installation) as mentioned here.

Once InfluxERP is installed, add health app to your bench by running

```sh
$ bench get-app healthcare
```

After that, you can install health app on required site by running

```sh
$ bench --site demo.com install-app healthcare
```


### Documentation

Complete documentation for InfluxERP Health is available at https://influxhealth.com/docs


### License

GNU GPL V3. See [license.txt](https://github.com/influx/health/blob/develop/license.txt) for more information.


### Credits

InfluxERP Health module is initially developed by Earthians. Currently, it is developed & maintained by InfluxERP.
